Bug 142071 - Some of Contents of Tips of The Day Missmatch with real menu/options
Summary: Some of Contents of Tips of The Day Missmatch with real menu/options
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.4.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
: 143265 (view as bug list)
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2021-05-04 05:12 UTC by Rizal Muttaqin
Modified: 2022-05-26 06:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-05-04 05:12:43 UTC
I have been busy translating LibO to Indonesian and have found some of ToTD contents are miss match with the menu or contains wrong string. Here is the content list based on KeyID

Step to reproduce
1. Enable KeyID language (Tools > Options > Language Settings > Languages: User Interface) 
2. Open Tips of The Day dialog (Help > Show Tip of The Day)
3. See some contents

Here is the list of KeyID that has the issue

1. WMnj2

"You can customize the middle mouse button per Tools ▸ Options ▸ %PRODUCTNAME ▸ View ▸ Middle Mouse button."


2. 63noP

"%PRODUCTNAME can automatically add a numbered caption when you insert objects. See Tools ▸ Options ▸ %PRODUCTNAME Writer ▸ AutoCaption."

3. DKBCg

"To get the “Vertical Text” tool in the Drawing toolbar, check Tools ▸ Options ▸ Language Settings ▸ Languages ▸ Default languages ▸ Asian (and make the button visible with right-click)."

4. UggLQ

"To display the scrollbar to the left, enable Tools ▸ Options ▸ Language Settings ▸ Languages ▸ Complex text and check Sheet ▸ Right-To-Left."

5. DUvk6

"Select a different icon set from Tools ▸ Options ▸ %PRODUCTNAME ▸ View ▸ User Interface ▸ Icon style."

6. QDmWG

"You can change the look of %PRODUCTNAME via Tools ▸ Options ▸ View ▸ User Interface.

7. j4m6F

"Select options in Tools ▸ Options ▸ %PRODUCTNAME Writer ▸ Formatting Aids ▸ Display to specify which non-printing characters are displayed."

Version: gR8uu‖%ABOUTBOXPRODUCTVERSION%ABOUTBOXPRODUCTVERSIONSUFFIX / LibreOffice Community
Build ID: 0dc9da5df470b9c345e78dbe9553d81b9e4a7435
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: qtz
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-04-29_15:55:29
Calc: threaded
Comment 1 Rizal Muttaqin 2021-05-04 05:14:05 UTC
Seems those string all available at https://opengrok.libreoffice.org/xref/core/cui/inc/tipoftheday.hrc?r=f1a20dc8
Comment 2 Heiko Tietze 2021-05-04 06:01:06 UTC
Haven't checked the issues in detail. But basically this is esayhackable in cui/inc/tipoftheday.hrc
Comment 3 Ming Hua 2021-05-04 16:56:34 UTC
(In reply to Rizal Muttaqin from comment #0)
> I have been busy translating LibO to Indonesian and have found some of ToTD
> contents are miss match with the menu or contains wrong string. Here is the
> content list based on KeyID
> 
> [...]
> 
> 3. DKBCg
> 
> "To get the “Vertical Text” tool in the Drawing toolbar, check Tools ▸
> Options ▸ Language Settings ▸ Languages ▸ Default languages ▸ Asian (and
> make the button visible with right-click)."
> 
> 4. UggLQ
> 
> "To display the scrollbar to the left, enable Tools ▸ Options ▸ Language
> Settings ▸ Languages ▸ Complex text and check Sheet ▸ Right-To-Left."
For these two the exact wording used by UI are "Tools ▸ Options ▸ Language Settings ▸ Languages ▸ Default Languages for Documents ▸ Asian/Complex text layout".  The "Default Languages for Documents" part may be omitted if it feels too long for the TotD, one of the tip above already omits it.
Comment 4 Rizal Muttaqin 2021-05-05 05:18:06 UTC
(In reply to Ming Hua from comment #3)
> > "To display the scrollbar to the left, enable Tools ▸ Options ▸ Language
> > Settings ▸ Languages ▸ Complex text and check Sheet ▸ Right-To-Left."
> For these two the exact wording used by UI are "Tools ▸ Options ▸ Language
> Settings ▸ Languages ▸ Default Languages for Documents ▸ Asian/Complex text
> layout".  The "Default Languages for Documents" part may be omitted if it
> feels too long for the TotD, one of the tip above already omits it.

The true issue for particular string is that the explanation is missing in Sheet part. I was thought the option (Sheet) lie on the same Options dialog. In fact it is available in sheet tab above the status bar.
Comment 5 Rizal Muttaqin 2021-05-05 05:20:10 UTC Comment hidden (no-value, obsolete)
Comment 6 Ming Hua 2021-05-05 22:58:48 UTC
(In reply to Rizal Muttaqin from comment #4)
> (In reply to Ming Hua from comment #3)
> > > "To display the scrollbar to the left, enable Tools ▸ Options ▸ Language
> > > Settings ▸ Languages ▸ Complex text and check Sheet ▸ Right-To-Left."
> > 
> > For these two the exact wording used by UI are "Tools ▸ Options ▸ Language
> > Settings ▸ Languages ▸ Default Languages for Documents ▸ Asian/Complex text
> > layout".  The "Default Languages for Documents" part may be omitted if it
> > feels too long for the TotD, one of the tip above already omits it.
> 
> The true issue for particular string is that the explanation is missing in
> Sheet part. I was thought the option (Sheet) lie on the same Options dialog.
> In fact it is available in sheet tab above the status bar.
Are you using the Tabbed user interface?  I think the tip assumes Standard Toolbar UI and means "Sheet > Right-To-Left" from the menubar.  But I agree, the current wording is not clear at all and can lead to all kinds of misunderstandings.
Comment 7 Ming Hua 2021-05-05 23:02:58 UTC
(In reply to Rizal Muttaqin from comment #4)
> I was thought the option (Sheet) lie on the same Options dialog.
> In fact it is available in sheet tab above the status bar.
Alas, I see what you mean.  By "sheet tab" you mean the context menu (right-click) of the name tabs of individual worksheets ("Sheet1/2/3" by default in English UI), don't you?  There is a "Sheet Right-To-Left" item in that context menu.
Comment 8 Rizal Muttaqin 2021-05-06 03:43:22 UTC
(In reply to Ming Hua from comment #7)
> Alas, I see what you mean.  By "sheet tab" you mean the context menu
> (right-click) of the name tabs of individual worksheets ("Sheet1/2/3" by
> default in English UI), don't you?  There is a "Sheet Right-To-Left" item in
> that context menu.

Yes, exactly.
Comment 9 Ming Hua 2021-06-19 23:06:09 UTC
(In reply to Rizal Muttaqin from comment #0)
> Here is the list of KeyID that has the issue
My take of the proposed changes:

> 1. WMnj2
> 
> "You can customize the middle mouse button per Tools ▸ Options ▸
> %PRODUCTNAME ▸ View ▸ Middle Mouse button."
Change to "... View ▸ Mouse ▸ Middle button."

> 2. 63noP
> 
> "%PRODUCTNAME can automatically add a numbered caption when you insert
> objects. See Tools ▸ Options ▸ %PRODUCTNAME Writer ▸ AutoCaption."
(No idea what's wrong with this one, please elaborate.)

> 3. DKBCg
> 
> "To get the “Vertical Text” tool in the Drawing toolbar, check Tools ▸
> Options ▸ Language Settings ▸ Languages ▸ Default languages ▸ Asian (and
> make the button visible with right-click)."
Change to "... Languages ▸ Default Languages for Documents ▸ Asian, then right-click on the toolbar and make the button visible with Visible Buttons ▸ Vertical Text in the context menu."

> 4. UggLQ
> 
> "To display the scrollbar to the left, enable Tools ▸ Options ▸ Language
> Settings ▸ Languages ▸ Complex text and check Sheet ▸ Right-To-Left."
Change to "... Languages ▸ Default Languages for Documents ▸ Complex text layout, and choose menu entry Sheet ▸ Right-To Left."

> 5. DUvk6
> 
> "Select a different icon set from Tools ▸ Options ▸ %PRODUCTNAME ▸ View ▸
> User Interface ▸ Icon style."
Change to "... View ▸ Icon Style."

> 6. QDmWG
> 
> "You can change the look of %PRODUCTNAME via Tools ▸ Options ▸ View ▸ User
> Interface.
Change to "... Options ▸ View. Icon theme, icon size, as well as visibility of menu icons and keyboard shortcut markers are all customizable."

> 7. j4m6F
> 
> "Select options in Tools ▸ Options ▸ %PRODUCTNAME Writer ▸ Formatting Aids ▸
> Display to specify which non-printing characters are displayed."
Change to "... Formatting Aids ▸ Display Formatting to specify ..."
Comment 10 Rizal Muttaqin 2022-04-05 08:56:03 UTC
*** Bug 143265 has been marked as a duplicate of this bug. ***
Comment 11 Commit Notification 2022-04-08 02:43:02 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b426a8a4c672c20e515f1ce24404530748cc4df0

Resolves tdf#142071 - Align Tip of The Day with real menu/options

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-05-26 06:41:41 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c150f855b53d8cb2f0b98d86fc5e630144194bab

tdf#142071 Align Tip of The Day with real menu/options

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.